Kredov long

[Помогите] Using $this when not in object context при сохранении шаблона

Тема в разделе "Joomla", создана пользователем hrysem, 19 май 2017 в 09:32.

  1. hrysem

    hrysem

    Регистрация:
    24 ноя 2016
    Сообщения:
    15
    Симпатии:
    0
    Гугл не помог.
    Даже если не делать изменения в шаблоне, просто открыть и сохранить - выскакивает:
     
  2. $iD

    $iD Команда форума

    Регистрация:
    13 мар 2012
    Сообщения:
    3.396
    Симпатии:
    1.388
    php ответ предоставил. без кода шаблона вам никто не поможет.
     
  3. hrysem

    hrysem

    Регистрация:
    24 ноя 2016
    Сообщения:
    15
    Симпатии:
    0
    Какой именно код нужен?
     
  4. $iD

    $iD Команда форума

    Регистрация:
    13 мар 2012
    Сообщения:
    3.396
    Симпатии:
    1.388
    шаблона, в котором выпадает эта ошибка.
     
  5. hrysem

    hrysem

    Регистрация:
    24 ноя 2016
    Сообщения:
    15
    Симпатии:
    0
    Какого файла шаблона..?

    Кстати, возможна эта проблемка появилась после обновление joomla..
     
  6. MGT1

    MGT1

    Регистрация:
    5 янв 2013
    Сообщения:
    659
    Симпатии:
    191
    И так по порядку. Что бы Вам помогли:
    - ссылку на сайт
    - версия была/стало
    - шаблон из ссылкой/для какой у Вас он версии подходит :wacko: шаблон то не для всех версий.
     
  7. hrysem

    hrysem

    Регистрация:
    24 ноя 2016
    Сообщения:
    15
    Симпатии:
    0
  8. MGT1

    MGT1

    Регистрация:
    5 янв 2013
    Сообщения:
    659
    Симпатии:
    191
    После context больше ничего не пишет? Должно указать на файл с которым конфликт в теории.

    типа что-то такого in .../libraries/joomla/application/base.php on line xx

    Ошибка понятно из-за обновления. Так что должно указать что именно конфликтует.
     
  9. hrysem

    hrysem

    Регистрация:
    24 ноя 2016
    Сообщения:
    15
    Симпатии:
    0
    MGT1, в том то и дело, что ничего нету..
     
  10. hrysem

    hrysem

    Регистрация:
    24 ноя 2016
    Сообщения:
    15
    Симпатии:
    0
    Выяснил, что при версии PHP 5.6 все работает. А вот при 7.0 выбрасывает ошибку